aboutsummaryrefslogtreecommitdiff
path: root/test/python/install_via_oryx.sh
diff options
context:
space:
mode:
authorChuck Lantz <clantz@microsoft.com>2022-11-07 21:46:23 +0300
committerGitHub <noreply@github.com>2022-11-07 21:46:23 +0300
commit3020d6da64798ee994d407ffd3ce3f800f6dff92 (patch)
tree4ed3232c30221851cfaf5c074fdc36c6c5c8bcc1 /test/python/install_via_oryx.sh
parent73a9c7d38293067a4081b8d79dd12e92a585ef83 (diff)
Fix python feature issue #258, improve tests, fix oryx bug (#261)
* Fix #258, improve tests, fix oryx bug * Drop Debian 9 from tests given it is out of support
Diffstat (limited to 'test/python/install_via_oryx.sh')
-rwxr-xr-xtest/python/install_via_oryx.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/test/python/install_via_oryx.sh b/test/python/install_via_oryx.sh
new file mode 100755
index 0000000..e65b154
--- /dev/null
+++ b/test/python/install_via_oryx.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "python3 is installed" python3 --version
+check "python is installed" python --version
+check "pip is installed" pip --version
+check "pip is installed" pip3 --version
+
+# Check that tools can execute
+check "autopep8" autopep8 --version
+check "black" black --version
+check "yapf" yapf --version
+check "bandit" bandit --version
+check "flake8" flake8 --version
+check "mypy" mypy --version
+check "pycodestyle" pycodestyle --version
+check "pydocstyle" pydocstyle --version
+check "pylint" pylint --version
+
+# Check paths in settings
+check "current symlink is correct" bash -c "which python | grep /usr/local/python/current/bin/python"
+check "which autopep8" bash -c "which autopep8 | grep /usr/local/py-utils/bin/autopep8"
+check "which black" bash -c "which black | grep /usr/local/py-utils/bin/black"
+check "which yapf" bash -c "which yapf | grep /usr/local/py-utils/bin/yapf"
+check "which bandit" bash -c "which bandit | grep /usr/local/py-utils/bin/bandit"
+check "which flake8" bash -c "which flake8 | grep /usr/local/py-utils/bin/flake8"
+check "which mypy" bash -c "which mypy | grep /usr/local/py-utils/bin/mypy"
+check "which pycodestyle" bash -c "which pycodestyle | grep /usr/local/py-utils/bin/pycodestyle"
+check "which pydocstyle" bash -c "which pydocstyle | grep /usr/local/py-utils/bin/pydocstyle"
+check "which pylint" bash -c "which pylint | grep /usr/local/py-utils/bin/pylint"
+
+# Report result
+reportResults \ No newline at end of file